(function($) {
  "use strict"; // Start of use strict

  // Smooth scrolling using jQuery easing
  $('a.js-scroll-trigger[href*="#"]:not([href="#"])').click(function() {
    if (location.pathname.replace(/^\//, '') == this.pathname.replace(/^\//, '') && location.hostname == this.hostname) {
      var target = $(this.hash);
      target = target.length ? target : $('[name=' + this.hash.slice(1) + ']');
      if (target.length) {
        $('html, body').animate({
          scrollTop: (target.offset().top - 54)
        }, 1000, "easeInOutExpo");
        return false;
      }
    }
  });

  // Closes responsive menu when a scroll trigger link is clicked
  $('.js-scroll-trigger').click(function() {
    $('.navbar-collapse').collapse('hide');
  });

  // Activate scrollspy to add active class to navbar items on scroll
  $('body').scrollspy({
    target: '#mainNav',
    offset: 54
  });


  window.sr = ScrollReveal();
  sr.reveal('.navbar', {
    duration: 600,
    origin:'top',
  }), 300;
  sr.reveal('#intro img', {
    duration: 600,
    origin:'bottom'
  });
  sr.reveal('.showcase-bottom', {
    duration: 600,
    origin:'bottom',
    distance:'300px'
  });
  sr.reveal('#intro h2,#intro p', {
    duration: 600,
    delay: 200,
    origin:'bottom',
    distance:'300px'
  });
  sr.reveal('.showcase-left', {
    duration: 600,
    origin:'left',
    distance:'300px'
  });
  sr.reveal('.showcase-right', {
    duration: 600,
    origin:'right',
    distance:'300px'
  });
  sr.reveal('.showcase-btn', {
    duration: 600,
    delay: 600,
    origin:'bottom'
  });
  sr.reveal('#testimonial div', {
    duration: 600,
    origin:'bottom'
  });
  sr.reveal('.info-left', {
    duration: 600,
    origin:'left',
    distance:'300px',
    viewFactor: 0.2
  });
  sr.reveal('.info-right', {
    duration: 600,
    origin:'right',
    distance:'300px',
    viewFactor: 0.2
  });

  sr.reveal('.sr-icons', {
    duration: 600,
    scale: 0.3,
    distance: '0px'
  }, 200);
  sr.reveal('.sr-button', {
    duration: 1000,
    delay: 600
  });
  sr.reveal('.sr-contact', {
    duration: 600,
    scale: 0.3,
    distance: '0px'
  }, 300);
  

})(jQuery); // End of use strict
